%define Werror_cflags %nil

%define	version	1.0.0
%define	release	%mkrel 1

Name:		cuneiform-linux
Summary:	An OCR system
Version:	%{version}
Release:	%{release}
License:	BSD
URL:		https://launchpad.net/cuneiform-linux
Group:		Text tools
Source0:	%{name}-%{version}.tar.bz2.tar
BuildRequires:	cmake
BuildRequires:	ImageMagick
Suggests:	cuneiform-qt yagf

%description
Cuneiform is an multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.


%prep

%setup -q -n %{name}-%{version}

%build
%cmake
%make

%install
rm -rf %{buildroot}
cd build
%makeinstall_std
export DONT_FIX_EOL=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc issues.txt *readme.rtf readme.txt
%{_bindir}/cuneiform
%{_datadir}/cuneiform/*.dat
%{_includedir}/cuneiform.h
%{_libdir}/*.so
%{_libdir}/*.so.%{version}


%changelog
* Fri Dec 31 2010 Александр Казанцев <kazancas@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 626895
- initial release
- import cuneiform-linux


* Sat Jul 03 2010 Alexander Kazancev <kazancas@mandriva.ru> 1.0.0-1edm2010.0
- New version

* Sat Apr 03 2010 Doktor5000 <rpm@mandrivauser.de> 0.9.0-3mud2010.0
- added Suggests for the GUIs cuneiform-qt and yagf

* Mon Mar 29 2010 Doktor5000 <rpm@mandrivauser.de> 0.9.0-2mud2010.0
- switch to trunk revision 471
- try to fix "PUMA_XFinalrecognition failed" error

* Mon Mar 29 2010 Doktor5000 <rpm@mandrivauser.de> 0.9.0-1mud2010.0
- new version 0.9.0
- added spec-helper fix from MadMax aka MaxiPunkt
- rebuild for 2010.0

* Thu Jan 22 2009 Oliver Burger <rpm@mandrivauser.de> 0.5-1mud2009.0
- new version 0.5

* Wed Oct 20 2008 Oliver Burger <rpm@mandrivauser.de> 0.4-1.1mud2009.0
- Rebuild for 2009.0-final

* Sat Sep 20 2008 Oliver Burger <rpm@mandrivauser.de> 0.4-1mud2009.0
- Rebuild for MUde

* Sat Sep 20 2008 MaxiPunkt <email@domain.de> 0.4-1max
- First built for Mandriva
